# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Test-ClassAPI
Version:	1.06
Release:	6.%{__distinit}%{__distvers}
Summary:	Provides basic first-pass API testing for large class trees
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-ClassAPI/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Test-ClassAPI-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Config::Tiny) >= 2.00
BuildRequires:	perl(Class::Inspector) >= 1.12
BuildRequires:	perl(File::Spec) >= 0.83
BuildRequires:	perl(Params::Util) >= 1.00
# For improved tests
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Pod::Simple)
BuildRequires:	perl(Test::MinimumVersion) >= 0.008
BuildRequires:	perl(Test::CPAN::Meta) >= 0.12
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Provides basic first-pass API testing for large class trees.

For many APIs with large numbers of classes, it can be very useful to be 
able to do a quick once-over to make sure that classes, methods, and 
inheritance is correct, before doing more comprehensive testing.
This module aims to provide such a capability.

%prep
%setup -q -n Test-ClassAPI-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::ClassAPI.3pm*

%changelog
* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> - 1.06-6
- Drop workaround for old Params::Util versions and
  BR: perl(Params::Util) ≥ 1.00
- Don't need to remove empty directories from buildroot

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 1.06-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.06-4
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> - 1.06-3
- Fix dist tag for RHEL-6 Beta

* Fri Feb 12 2010 Paul Howarth <paul@city-fan.org> - 1.06-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation

* Tue Jul 14 2009 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06 (build/test updates, no functional changes)
- Drop Params::Util version requirement if we can't satisfy it

* Thu May 14 2009 Paul Howarth <paul@city-fan.org> - 1.05-4
- Re-add perl(Test::CPAN::Meta) buildreq
- Update to SLES-compatible dist tag macros

* Wed Sep  3 2008 Paul Howarth <paul@city-fan.org> - 1.05-3
- Import from Fedora
- Drop perl(Test::CPAN::Meta) buildreq for now

* Tue Aug 26 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.05-2
- Bump release

* Tue Aug 26 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.05-1
- Upstream update

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.04-4
- Rebuild for perl 5.10 (again)

* Sun Jan 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.04-3
- Rebuild for new perl

* Thu Sep 06 2007 Ralf Corsépius <rc040203@freenet.de> - 1.04-2
- Update license tag

* Mon Mar 12 2007 Ralf Corsépius <rc040203@freenet.de> - 1.04-1
- Upstream update
- BR: perl(ExtUtils::MakeMaker)

* Fri Feb 16 2007 Ralf Corsépius <rc040203@freenet.de> - 1.03-1
- Upstream update

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.02-4
- Mass rebuild

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 1.02-3
- Rebuild for perl-5.8.8

* Tue Sep 14 2005 Ralf Corsepius <rc040203@freenet.de> - 1.02-2
- New %%summary
- Extend %%description
- Don't put README into %%doc (redundant to man page)

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 1.02-1
- Spec file cleanup
- FE submission

* Wed Jun 22 2005 Ralf Corsepius <ralf@links2linux.de> - 1.02-0.pm.0
- Initial packman version
